library(dplyr)

# 差分の結果をもとに計算する

f0=difference[,1]
for(j in 1:nrow(func_data)){
  f_value=c();x=func_data$x[j]
  for(k in 1:(length(f0)-1)){
    f_value=c(f_value,prod(x-f_data$x[1:k])*f0[k+1]*(1/gamma(k+1))*(1/sep_f)^(k))
  }
  f_value=sum(f_value,f0[1])
  func_data$f[j]=f_value 
}

func_data=func_data %>% mutate(ff=0)
colnames(func_data)=c("x","predict","samples")

for(j in 1:nrow(func_data)){
  func_data$samples[j]=f(func_data$x[j])
}

# 図のプロット
plot(func_data$x,func_data$samples,col=2,type="o",ylim=c(min(func_data$predict,func_data$samples),max(func_data$predict,func_data$samples)),main="red;samples , green;predict",xlab="x",ylab="value")

par(new=T)

plot(func_data$x,func_data$predict,col=3,type="o",ylim=c(min(func_data$predict,func_data$samples),max(func_data$predict,func_data$samples)),main="red;samples , green;predict",xlab="x",ylab="value")
