# ニュートン法

# 関数定義
f<-function(x){
  return(x^2-1)
}

# 初期値
X=9

# 反復計算回数
ite=10

# 学習率
eta=1

# 数値微分のための差分メッシュ
h=0.01

for(l in 1:ite){
  # 1次微分
  df=(f(X+h)-f(X))/h

  # 値の更新：X
  X=X-eta*f(X)/df

  print(f(X))
}
